#!/usr/bin/env python

"""Image browser dialog 
From wxdemo<br>
#Name:         image_helper.py<br>
# Purpose:      Image Selection dialog for wxPython demo<br>
# Author:       Lorne White (email: lorne.white@telusplanet.net)<br>
Book reference:
Manning.Publications ... wxPython in Action page 277"""

import os
import wx
import  wx.lib.imagebrowser    as  ib

class XFrame(wx.Frame):
    def __init__(self, parent):
        wx.Frame.__init__(self, parent)
        self.panel=wx.Panel(self,-1)
	dir = os.getcwd()

        # open the image browser dialog
        dlg = ib.ImageDialog(self, dir)

        dlg.Centre()

        if dlg.ShowModal() == wx.ID_OK:
            # show the selected file
	    self.filename=dlg.GetFile()          
        else:
	    print "You pressed Cancel\n"
	    self.Close();
	    return;

        dlg.Destroy()
	typepict=self.filename[-3];
	jpg = wx.Image(self.filename, wx.BITMAP_TYPE_JPEG).ConvertToBitmap()
	pos = 10
	self.SetSize((jpg.GetWidth(), jpg.GetHeight()))
	wx.StaticBitmap(self.panel, -1, jpg, (10, pos), (jpg.GetWidth(), jpg.GetHeight()))

class App(wx.App):

#    def __init__(self, redirect=True, filename=None):
#        print "App __init__"
#        wx.App.__init__(self, redirect, filename)

    def OnInit(self):
        #self.frame = XFrame(parent=None, title='Spare',id=-1)
        self.frame=XFrame(parent=None)
        self.frame.Show()
        self.SetTopWindow(self.frame)
        return True

if __name__ == '__main__':
    app = App()
    app.MainLoop()

